# build stage
FROM node:lts-alpine
WORKDIR /usr/share/nginx/html

# Add wait script to the image
ADD https://github.com/ufoscout/docker-compose-wait/releases/download/2.5.0/wait /wait
RUN chmod +x /wait

COPY package*.json ./
RUN npm install
COPY . .
RUN npm run build

EXPOSE 5000

CMD /wait && npm run serve
